# TP Final Docker

## Lancement  de l'application

```shell
cd app
sudo docker compose up --build
```

## Arret de l'application

```shell
sudo docker compose down
```

## L'esclave (hash_extractor)

```shell
sudo docker login
sudo docker pull servuc/hash_extractor
sudo docker swarm init
sudo docker run -ti --network host --rm servuc/hash_extractor:latest ./hash_extractor s ws://127.0.0.1:3000
```

## Scalabilité

```shell
cd scalabilite
sudo docker build -t scalabilite .
sudo docker service create --name scaler --network host scalabilite
```

## Redis

```shell
sudo docker service create --name redis-db --network host redis:alpine
```
